Skip to main content
GET
/
api
/
v2
/
platform
/
states
/
{id}
Returns a State
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{defaultHost}/api/v2/platform/states/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "234",
    "type": "state",
    "attributes": {
      "name": "STATE_NAME_234",
      "abbr": "STATE_ABBR_234",
      "updated_at": "2022-11-08T19:35:27.007Z",
      "created_at": "2022-11-08T19:35:27.007Z"
    },
    "relationships": {
      "country": {
        "data": {
          "id": "396",
          "type": "country"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Record found

data
object
required